{ self, inputs, ... }: {

  flake.nixosConfigurations.t2mbp = inputs.nixpkgs.lib.nixosSystem {
    system = "x86_64-linux";
    specialArgs = {
      inherit self inputs;
      host = "t2mbp";
      system = "x86_64-linux";
    };
    modules = [
      self.nixosModules.t2mbpConfiguration
     ];
  };
}